<?php

    class SOEndpoints {

        public function __construct() {
            // so that we can extend the orders endpoint class
            add_action('woocommerce_api_loaded', array($this, 'loadEndpoints'));
        }

        //load endpoints
        public function loadEndpoints() {
            //endpoints
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_getordersnew.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_getordersinprocessing.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_search_posts.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_order_items.php';
            require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_search_post_by_internal_id.php';
	        require_once plugin_dir_path(__FILE__) . 'api_classes/class_wc_api_giftcertificate.php';
            // filter the array of default api classes
            add_filter('woocommerce_api_classes', array($this, 'register'));
        }

        //register endpoints
        public function register($api_classes = array()) {
            array_push($api_classes, 'getordersnew');
            array_push($api_classes, 'getordersinprocessing');
            array_push($api_classes, 'search_posts');
            array_push($api_classes, 'search_posts_by_internalid');
            array_push($api_classes, 'in8_order_items');
            array_push($api_classes, 'in8_giftcertificate');
            return $api_classes;
        }

    }

    new SOEndpoints();
    