jQuery(document).ready(function () {
    jQuery('#manualOrderPush').on('click', function (e) {
        e.preventDefault();
        if( window.stopOrderFromSyncing && window.stopOrderFromSyncing === 1) return false;

        var order_id = jQuery(this).data('order_id');
        var admin_ajax = jQuery(this).data('admin_ajax');
        jQuery.ajax({
            url: admin_ajax,
            dataType: 'json',
            data: {
                'action': 'push_order_manually',
                'order_id': order_id
            },
            beforeSend: function () {
                jQuery('#bowlG').show();
                jQuery('#divProcessing').show();                
            },
            complete: function () {
                jQuery('#bowlG').hide();
                jQuery('#divProcessing').hide();
            },
            success: function (data) {
                if (data.status == 1) {
                    alert(data.message);
                    location.reload();
                } else {
                    jQuery('.replace-content').html(data.message);
                }
            },
            error: function (errorThrown) {
                console.log(errorThrown);
            }
        });
    });

});